{% extends "base.html" %}

{% block content %}
    <div id="movie-list" class="list-view">
        <div class="alert alert-warning" v-if="movies.length === 0"><b>Info!</b> no record found, <a href="/films/create">click here</a> to create new file</div>
        <div class="list-item" v-for="movie in movies" :key="movie.id">
            <div class="list-image">
                <a :href="'/films/' + movie.slug"><img :src="[[movie.photo]]" /></a>
            </div>
            <div class="list-title">
                <h1>[[movie.name]]</h1>
                <p><span class="star" v-for="rating in movie.rating"></span></p>
            </div>
            <div class="list-body">
                <div class="list-item-meta">
                    <span><b>Ticket Price:</b> [[movie.ticket_price]] [[movie.price_currency]]</span>
                    <span><b>Releas Date:</b> [[movie.release_date]]</span>
                    <span><b>Location:</b> [[movie.country]]</span>
                </div>
                <p class="description">[[movie.description]]</p>
                <div class="movie-genres">
                    <b>Genres:</b> <span class="genre" v-for="genre in movie.genres_list" :key="genre">[[genre]]</span>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block script %}
    <script type="text/javascript">
        new Vue({
            delimiters: ['[[', ']]'], // default template tag has conflict with django template
            el: "#movie-list",
            data: {
                movies: []
            },
            mounted: function() {
                const self = this
                getMovies().then(function(response) {
                   self.movies = response
                })
            }
        })
    </script>
{% endblock %}